<!--
  ~ Aurora Droid
  ~ Copyright (C) 2019, Rahul Kumar Patel <whyorean@gmail.com>
  ~
  ~ Aurora Droid is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ Aurora Droid is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU General Public License
  ~ along with Aurora Droid.  If not, see <http://www.gnu.org/licenses/>.
  -->

<resources>

    <style name="TextAppearance.Aurora.Title" parent="TextAppearance.AppCompat.Medium">
        <item name="android:ellipsize">end</item>
        <item name="android:maxLines">1</item>
        <item name="android:textStyle">bold</item>
        <item name="android:textColor">?android:attr/textColorPrimary</item>
        <item name="android:textSize">18sp</item>
    </style>

    <style name="TextAppearance.Aurora.Line1" parent="TextAppearance.AppCompat.Medium">
        <item name="android:ellipsize">end</item>
        <item name="android:maxLines">1</item>
        <item name="android:textSize">16sp</item>
        <item name="android:textColor">?android:attr/textColorPrimary</item>
    </style>

    <style name="TextAppearance.Aurora.Line2" parent="TextAppearance.Aurora.Line1">
        <item name="android:textSize">14sp</item>
        <item name="android:textColor">?android:attr/textColorSecondary</item>
    </style>

    <style name="TextAppearance.Aurora.Line3" parent="TextAppearance.Aurora.Line2">
        <item name="android:textSize">12sp</item>
    </style>

    <style name="TextAppearance.Aurora.SearchBar" parent="TextAppearance.Aurora.Line1">
        <item name="android:textSize">18sp</item>
    </style>

    <style name="TextAppearance.Aurora.Header" parent="@style/TextAppearance.Aurora.Title">
        <item name="android:textStyle">normal</item>
    </style>

    <style name="TextAppearance.Aurora.SubTitle" parent="TextAppearance.Aurora.Title">
        <item name="android:letterSpacing">0.025</item>
        <item name="android:textSize">16sp</item>
    </style>

    <style name="TextAppearance.Aurora.BottomNav.Active" parent="TextAppearance.Aurora.Line1">
        <item name="android:textStyle">bold</item>
        <item name="android:letterSpacing">0.025</item>
        <item name="android:textSize">14sp</item>
    </style>

    <style name="TextAppearance.Aurora.BottomNav.Inactive" parent="TextAppearance.Aurora.BottomNav.Active">
        <item name="android:textSize">14sp</item>
    </style>

    <style name="TextAppearance.Aurora.Button" parent="TextAppearance.Aurora.Line1">
        <item name="android:letterSpacing">0.050</item>
        <item name="android:maxLines">1</item>
    </style>

    <style name="TextAppearance.Aurora.Body" parent="@style/TextAppearance.AppCompat.Body1">
        <item name="android:textColor">?android:textColorSecondary</item>
        <item name="android:textSize">12sp</item>
    </style>

    <style name="TextAppearance.Aurora.Chip" parent="TextAppearance.Aurora.Line1">
        <item name="android:letterSpacing">0.05</item>
        <item name="android:textSize">14sp</item>
    </style>

    <style name="TextAppearance.Aurora.Toolbar.Title" parent="TextAppearance.Aurora.Title">
        <item name="android:textStyle">normal</item>
        <item name="android:letterSpacing">0.050</item>
    </style>

    <style name="TextAppearance.Aurora.DialogTitle" parent="@style/TextAppearance.Aurora.Title">
        <item name="android:textSize">22sp</item>
        <item name="android:letterSpacing">0.025</item>
        <item name="android:gravity">center</item>
    </style>

    <style name="TextAppearance.Aurora.DialogSubTitle" parent="@style/TextAppearance.Aurora.SubTitle">
        <item name="android:textSize">14sp</item>
    </style>

</resources>